#!/bin/bash

# Generate the data
echo -e "\n// Running experiments"
./ecrts19_alloverheads.sh

# Compile results into CSV files
echo -e "\n// Aggregating results"
./generate_csvs_alloverheads.sh

# Plot the results
echo -e "\n// Plotting results"
./plot_fig16.sh
./plot_alloverheads.sh

# Copy the plots into a folder by name
filetype="png"
cp ../plots/fig16_lock.$filetype ../plots/artifact_evaluation/fig16.$filetype
cp ../plots/all_lock.$filetype ../plots/artifact_evaluation/alloverhead.$filetype

# Remove any extra plots generated
rm ../plots/*.*
